# $Revision: 1.36 $, $Date: 2004/04/01 19:27:51 $
Summary:	NetWare file/print server that runs under Linux
Summary(de):	NetWare-Datei/Druckserver unter Linux
Summary(es):	Servidor de archivos e impresin NetWare que se ejecuta en Linux
Summary(fr):	Serveur Netware de fichiers/impression tournant sous Linux
Summary(pl):	Serwer Netware plikw/drukarek dziaajcy pod Linuxem
Summary(pt_BR):	Servidor de arquivos e impresso NetWare que roda no Linux
Summary(tr):	Linux altnda alan NetWare dosya/yazc sunucusu
Name:		mars_nwe
Version:	0.99.pl20
Release:	12
License:	GPL
Group:		Networking/Daemons
Source0:	http://www.compu-art.de/download/%{name}-%{version}.tgz
# Source0-md5:	98b3bf022233035ce12a834c689605e5
Source1:	%{name}.cnv.tgz
# Source1-md5:	00add1da5f8e624c5c1d8d1b3351616a
Source2:	nwserv.init
Source3:	nwserv.logrotate
Source4:	pipefs-scripts.tgz
# Source4-md5:	940ec1baaea874d0c422eb0435a7b235
Patch0:		%{name}.patch
Patch1:		%{name}-rwlck.patch
Patch2:		%{name}-clean.patch
Patch3:		%{name}-gcc.patch
Patch4:		%{name}-dotfiles.patch
Patch5:		%{name}-trustees.patch
Patch6:		%{name}-lck.patch
Patch7:		%{name}-buffer.patch
Patch8:		%{name}-glibc21.patch
Patch9:		%{name}-format.patch
URL:		http://www.compu-art.de/mars_nwe/index.html
BuildRequires:	gdbm-devel
PreReq:		rc-scripts
Requires(post,preun):	/sbin/chkconfig
Requires:	ipxutils
Obsoletes:	mars-nwe
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nwserv

%description
MARS is a NetWare compatible file and printer server. It lets you use
a Linux machine as a file and print server for NetWare based clients
using NetWare's native IPX protocol suite.

%description -l de
MARS ist ein NetWare-kompatibler Datei- und Druckerserver. Er
gestattet die Verwendung eines Linux-Rechners als ein Datei- und
Druckserver fr NetWare-basierende Clients unter Verwendung der
NetWare-eigenen IPX-Protokollserie.

%description -l es
MARS es un servidor de archivo y impresin compatible con NetWare.
Deja que uses una mquina Linux como un servidor de archivo y
impresin para clientes de NetWare usando el protocolo nativo IPX
NetWare.

%description -l fr
MARS est un serveur de fichiers et d'impression compatible NetWare. Il
permet d'utiliser une machine Linux comme serveur de fichiers et
d'imoression pour des clients NetWare utilisant le protocole IPX natif
de NetWare.

%description -l pl
MARS jest kompatybilnym z Netware serwer plikw i drukarek. Pozwala
stworzy z komputera z Linuxem serwer plikw i drukarek dla klientw
Netware przy uyciu podstawowego protokou Netware - IPX.

%description -l pt_BR
MARS  um servidor de arquivo e impresso compatvel com NetWare. Ele
deixa voc usar uma mquina Linux como um servidor de arquivo e
impresso para clientes de NetWare usando o protocolo nativo IPX
NetWare.

%description -l tr
MARS, NetWare uyumlu bir dosya ve yazc sunucusudur. Bu program bir
Linux makinenin, NetWare in doal IPX protokol takmn kullanan
NetWare istemcilerinin dosya ve yazc sunucusu olarak kullanlmasn
salar.

%prep
%setup -q -n mars_nwe -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
%{__make}
%{__make} \
	CC="%{__cc}" \
	RPM_OPT_FLAGS="%{rpmcflags} -D_GNU_SOURCE_ -DUSE_GDBM" \
	NDBMLIB="-lgdbm" \
	CRYPTLIB="-lcrypt"
%{__make} routed \
	CC="%{__cc}" \
	RPM_OPT_FLAGS="%{rpmcflags} -D_GNU_SOURCE_ -DUSE_GDBM" \
	NDBMLIB="-lgdbm" \
	CRYPTLIB="-lcrypt"

cd examples
for I in unxcomm unxsendm; do
	%{__cc} %{rpmcflags} $I.c -o $I
done
cd ..

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/etc/{rc.d/init.d,logrotate.d}} \
	$RPM_BUILD_ROOT%{_sbindir} \
	$RPM_BUILD_ROOT/var/lib/nwserv/{sys/{public/sources,login,system,mail},pipe,bindery,attrib,trustees} \
	$RPM_BUILD_ROOT/var/{run,log,spool/nwserv/{.volcache,.locks}}

install {nwserv,nwconn,ncpserv,nwclient,nwbind,nwrouted} $RPM_BUILD_ROOT%{_sbindir}

touch $RPM_BUILD_ROOT/var/log/nw.{log,routes}

install examples/nwserv.stations $RPM_BUILD_ROOT%{_sysconfdir}/nwserv.stations

install examples/nw.ini $RPM_BUILD_ROOT%{_sysconfdir}/nwserv.conf
#for I in examples/nw.ini.cnv.*; do
#	install $I $RPM_BUILD_ROOT%{_sysconfdir}/${I##examples/nw.ini}
#done
install examples/nw.ini.cnv.437 $RPM_BUILD_ROOT%{_sysconfdir}/nwserv.cnv.437

ln -sf nwserv.cnv.437 $RPM_BUILD_ROOT%{_sysconfdir}/nwserv.cnv

install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/nwserv
install %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/nwserv

tar -xzf %{SOURCE4} -C $RPM_BUILD_ROOT/var/lib/nwserv/pipe

for I in comm comm32; do
	install examples/$I.exe $RPM_BUILD_ROOT/var/lib/nwserv/sys/public/$I.exe
done

for I in sendm comm; do
	install examples/$I.c $RPM_BUILD_ROOT/var/lib/nwserv/sys/public/sources/$I.c
done

for I in unxcomm unxsendm; do
	install examples/$I $RPM_BUILD_ROOT/var/lib/nwserv/pipe
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add nwserv
if [ -f /var/lock/subsys/nwserv ]; then
	/etc/rc.d/init.d/nwserv restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/nwserv start\" to start MARS NetWare daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/nwserv ]; then
		/etc/rc.d/init.d/nwserv stop 1>&2
	fi
	/sbin/chkconfig --del nwserv
fi

%files
%defattr(644,root,root,755)
%doc README doc examples/{README.important,nw.ini*,*.c}
%dir /var/lib/nwserv
%dir /var/lib/nwserv/bindery
%dir /var/lib/nwserv/attrib
%dir /var/lib/nwserv/trustees
%dir /var/lib/nwserv/pipe
%dir /var/lib/nwserv/sys
%dir /var/lib/nwserv/sys/public
%dir /var/lib/nwserv/sys/login
%dir /var/lib/nwserv/sys/mail
%dir /var/lib/nwserv/sys/system
%dir /var/lib/nwserv/sys/public/sources
%dir /var/spool/nwserv
%dir /var/spool/nwserv/.volcache
%dir /var/spool/nwserv/.locks
%dir %{_sysconfdir}
%attr(600,root,root) %verify(not md5 mtime) %config %{_sysconfdir}/nwserv.conf
%attr(600,root,root) %verify(not md5 mtime) %config %{_sysconfdir}/nwserv.stations
%attr(644,root,root) %{_sysconfdir}/nwserv.cnv*
%attr(754,root,root) %config /etc/rc.d/init.d/nwserv
%attr(600,root,root) %config /etc/logrotate.d/nwserv
%attr(755,root,root) %{_sbindir}/*
%attr(644,root,root) /var/lib/nwserv/sys/public/comm.exe
%attr(644,root,root) /var/lib/nwserv/sys/public/comm32.exe
%attr(644,root,root) /var/lib/nwserv/sys/public/sources/*
%attr(755,root,root) /var/lib/nwserv/pipe/*
%attr(600,root,root) %ghost /var/log/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mars_nwe.spec,v $
Revision 1.36  2004/04/01 19:27:51  qboosh
- pass -DUSE_GDBM (not autodetected with lib64)

Revision 1.35  2004/04/01 19:24:35  qboosh
- pass explicit *LIB options (detection fails with lib64); release 12

Revision 1.34  2004/04/01 18:56:06  qboosh
- fixed build, release 11 for Ac

Revision 1.33  2003/09/11 07:43:01  pascalek
- added comm32.exe to files list

Revision 1.32  2003/07/29 15:45:00  qboosh
- more specific Requires, more changes where needed

Revision 1.31  2003/05/28 12:59:41  malekith
- massive attack: source-md5

Revision 1.30  2003/05/25 05:50:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.29  2002/07/27 22:21:23  kloczek
- use new %doc.

Revision 1.28  2002/07/05 14:03:16  ankry
- obsolete mars-nwe (from RH)

Revision 1.27  2002/03/27 14:13:46  qwark
added some latest patches to improve stability
 TESTS! needed

Revision 1.26  2002/02/23 03:44:47  kloczek
- adapterized.

Revision 1.25  2002/02/22 23:29:15  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.24  2002/01/18 02:13:48  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.23  2001/11/12 20:45:19  kloczek
- release 8.

Revision 1.22  2001/11/12 18:02:33  djrzulf
- added some examples to %%doc,
- corrected symlink in /etc/nwserv.cnv to nwserv.cnv.437,

Revision 1.21  2001/10/11 04:44:36  kloczek
- bump release to 7 and merge translations stolen from CNV.

Revision 1.20  2001/09/24 15:11:03  qboosh
- release 6: Prereq: /sbin/chkconfig

Revision 1.19  2001/07/26 05:42:11  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.17  2001/05/02 21:51:23  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.16  2001/04/09 08:26:09  mkochano
- Release 5.
- Rebuilt with corrected logrotate script (/usr/bin/killall -> /bin/killall).

Revision 1.15  2001/03/15 23:22:08  kloczek
- release 4: fixed init script (bszx).

Revision 1.14  2001/03/11 20:21:18  kloczek
- release 3,
- spec adapterized,
- standarized init and %pos/%preun scripts,
- merged current Conectiva and rawhide patches,
- some simplifications and fixes for coding style (use macros; now spec is
  also %%{debug} ready).

Revision 1.13  2001/03/11 19:10:03  bszx
- updated to 0.99.pl20

Revision 1.12  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.11  2000/04/01 11:14:53  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.10  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.9  2000/03/21 17:14:26  misiek
- only updated; needs more work

Revision 1.8  1999/12/13 21:17:17  alchemyx
- changed name of logrotate file

Revision 1.7  1999/07/20 11:04:34  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.6  1999/07/12 23:06:07  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun Nov 1 1998 Przemysaw Czerpak <druzus@polbox.com>
  [0.99.pl12-2]
- added reload option to init script,
- added logrotate config file.

* Wed Aug 12 1998 Marcin Korzonek <mkorz@shadow.eu.org>
- build against GNU libc-2.1
- added pl translations

* Mon Jun 1 1998 Przemysaw Czerpak <druzus@polbox.com>
- DO_IPX_SEND_TEST deactivated - linux/net/ipx/af_ipx.c have to be patched
  for all known kernels prior 2.0.32 (see README.important) - mars works
  faster now,
- volume PIPE-FS added with simple programs for executing unx cmd from
  novell client (/var/nwserv/pipe),
- /etc/rc.d/init.d/mars-nwe changed - sleeps for some seconds
  (defined in section 210 of nwserv.conf) - time for shut down server,
  and name changed to nwserv.init
- trustees information moved to /var/nwserv/trustees,
- attrib information moved to /var/attrib/attribs,
- spool directory moved to /var/spool/nwserv,
- conversion tables for DOS<->Unix file names translation & upper/lowercase
  translations (cp1250,iso2,852,maz for polish characters only),
- nwrouted added,
- simple patch for PIPE-FS added (now PIPE-FS works o.k.),

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Feb 11 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda>
- removed macro %config from /etc/rc.d/init.d/mars-nwe,
- spec file rewrited for using Buildroot,
- added %clean section,
- added %verify(not md5 mtime) for %config files:
  /etc/nwserv.{conf,/etc/nwserv.stations},
- added %%{PACKAGE_VERSION} to Source url,
- added %attr macros in %files (allows building package from non-root
  account).

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- updated for chkconfig
- doesn't start by default
- added status, restart options to init script
